#include <bits/stdc++.h>
using namespace std;
vector<int> getVisionPattern1d(){
    return {1, 2, 1, 3, 1, 1, 2};
}

int getMove1d(vector<int> v){
    int n = v.size();
    if(v[n / 2] != 3){
        int mx = 0, id = 0;
        for(int i = 0; i < n; i++){
            if(v[i] > mx){
                mx = v[i];
                id = i;
            }
        }
        return id;
    }
    if(v[6] == 2) return 6;
    return 0;
}

vector<vector<int>> getVisionPattern2d(){
    return {{1}};
}

pair<int, int> getMove2d(vector<vector<int>> v){
    return {0, 0};
}
